/* $Header: /CVSROOT/debris/cmds/rm.c,v 1.2 2005/08/15 01:04:52 tino Exp $
 *
 * DebRIS: DEBian Remote Install Scripter
 * rm <file> ...
 *
 * $Log: rm.c,v $
 * Revision 1.2  2005/08/15 01:04:52  tino
 * all functions now have a prefix (dris_)
 *
 * Revision 1.1  2005/08/13 22:59:12  tino
 * additional functions, see ChangeLog
 */

static int
driscmd_rm(char *args)
{
  const char	*file;
  int		ret;

  ret	= 0;
  while ((file=dris_nextarg(&args))!=0)
    if (unlink(args))
      ret	= dris_err("unlink: cannot unlink %s", args);
  return ret;
}
